package nc.vo.hi.cloud.train;

import nc.vo.pub.SuperVO;

/**
 * 知识目录列表
 * @author chenzf
 * @date 2022-5-7 14:55:47
 */
public class CloudKngcatalogsVO extends SuperVO {
	private String pk_kngcatalogs;
	private String id;//目录id
	private String catalogName;//目录名
	private String parentId;//父级目录id
	private String catalogRoutingNumber;//目录层级编号
	
	public String getPk_kngcatalogs() {
		return pk_kngcatalogs;
	}
	public void setPk_kngcatalogs(String pk_kngcatalogs) {
		this.pk_kngcatalogs = pk_kngcatalogs;
	}
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getCatalogName() {
		return catalogName;
	}
	public void setCatalogName(String catalogName) {
		this.catalogName = catalogName;
	}
	public String getParentId() {
		return parentId;
	}
	public void setParentId(String parentId) {
		this.parentId = parentId;
	}
	public String getCatalogRoutingNumber() {
		return catalogRoutingNumber;
	}
	public void setCatalogRoutingNumber(String catalogRoutingNumber) {
		this.catalogRoutingNumber = catalogRoutingNumber;
	}
	public String getParentPKFieldName() {
		return null;
	}
	public String getPKFieldName() {
		return "pk_kngcatalogs";
	}

	public String getTableName() {
		return "cloud_kngcatalogs";
	}
}
